<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Master_TA_UI_MasterTransportationVehicleList, App_Web_sdad0uki" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">

    <script type="text/javascript">
        function navi(loc) {
            document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            return false;
        }
        function Delete_Conf() {
            //Alert_AreyousuretoDelete
            return confirm('Are you sure to Delete ?');
        }
    </script>

    <div>
        <div class="content-header">
            <h1 style="background-image: url(../dist/img/vehicle.png); background-repeat: no-repeat; padding-left: 35px">
                <asp:Label ID="lbl_TransportationVehicle" runat="server"></asp:Label>
            </h1>
            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                <NodeStyle CssClass="active" />
            </asp:SiteMapPath>
        </div>
        <div class="content">
            <div class="form-horizontal">
                <div class="border-table new-space" style="margin-top: 0px">
                    <div class="row form-group">
                        <div class="col-md-12" style="overflow: auto; overflow-y: hidden; padding-bottom: 10px">
                            <asp:HiddenField ID="hdnSelectRow" runat="server" />
                            <asp:HiddenField ID="hdnGetAllid" runat="server" />
                            <dxGridview:ASPxGridView ID="GridView1" EnableCallBacks="false" runat="server" ClientInstanceName="GridView1"
                                AutoGenerateColumns="false" KeyFieldName="VehicleId" DataSourceID="ObjectDataSource1"
                                OnHtmlRowCreated="GridView1_HtmlRowCreated">
                                <Columns>
                                    <dxGridview:GridViewDataColumn VisibleIndex="0" Width="32px" HeaderStyle-VerticalAlign="Middle"
                                        HeaderStyle-HorizontalAlign="Center" CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center">
                                        <Settings AllowAutoFilter="false" />
                                        <HeaderTemplate>
                                            <input id="chkSelectAll" runat="server" type="checkbox" onclick="SelectAllOnThisPage(this)" />
                                        </HeaderTemplate>
                                        <DataItemTemplate>
                                            <input id="chkSelect" runat="server" type="checkbox" onclick="SelectOnRow(this)"
                                                disabled='<%#DataBinder.Eval(Container.DataItem,"flag").ToString()=="1" %>' accesskey='<%# Eval("VehicleId") %>' />
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="VehicleId" VisibleIndex="4" Visible="false">
                                        <DataItemTemplate>
                                            <asp:Label ID="lbl_VehicleId" runat="server" Text='<%# Eval("VehicleId") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="VehicleNo" FieldName="VehicleNo" VisibleIndex="1"
                                        Width="300px">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblVehicleNo" runat="server" Text='<%# Eval("VehicleNo") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="VehicleDescription" VisibleIndex="2"
                                        Width="300px">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Eval("VehicleDescription") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Isdeleted" VisibleIndex="3" Visible="false">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblIsdeleted" runat="server" Text=' <%# Eval("Isdeleted")%>' ForeColor='<%#((Eval("Isdeleted").ToString()=="True")?System.Drawing.ColorTranslator.FromHtml("#FF0033"):System.Drawing.ColorTranslator.FromHtml("black")) %> '></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                        CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px">
                                        <Settings AllowAutoFilter="false" />
                                        <DataItemTemplate>
                                            <a data-toggle="modal" title='<%# Session["View"] %>' data-placement="top" data-target="#myModal" onclick="return navi('TA_UI_MasterTransportationVehicleView.aspx?VehicleId=<%# Eval("VehicleId") %>')"
                                                href="#"><span class="btn btn-defalut view-icons"></span></a>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataColumn>
                                    <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                        CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px">
                                        <Settings AllowAutoFilter="false" />
                                        <DataItemTemplate>
                                            <asp:LinkButton ID="btnEdit" runat="server" ToolTip='<%# Session["Edit"] %>' data-toggle="tooltip"
                                                OnClick="EditLinkButton_Click" CommandName='<%# Eval("VehicleId") %>' data-placement="top"
                                                CssClass="btn btn-defalut edit-icons" Style="color: #3C8DBC"></asp:LinkButton>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataColumn>
                                    <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                        CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px">
                                        <Settings AllowAutoFilter="false" />
                                        <DataItemTemplate>
                                            <asp:LinkButton ID="btnDelete" runat="server" ToolTip='<%# Session["Delete"] %>' data-toggle="tooltip"
                                                OnClick="btn_delete_Click_1" CommandName='<%# Eval("VehicleId") %>' data-placement="top"
                                                CssClass="btn btn-defalut del-icons" Style="color: Red" OnClientClick="return Delete_Conf();"></asp:LinkButton>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataColumn>
                                </Columns>
                                <SettingsText EmptyDataRow="No Records Found" />
                                <SettingsPager PageSize="10">
                                </SettingsPager>
                                <Settings ShowFilterRow="true" />
                                <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="true" />
                                <Styles AlternatingRow-CssClass="table-bg">
                                </Styles>
                            </dxGridview:ASPxGridView>
                            <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="SelectTransportationVehicleDetails"
                                TypeName="cls_Master_Transportation">
                                <SelectParameters>
                                    <asp:SessionParameter Name="UserGroupName" SessionField="UserGroupName" Type="string" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                            <div id="myModal" class="modal modal-default fade" role="dialog">
                                <div class="modal-dialog" style="min-width: 85%;">
                                    <!-- Modal content-->
                                    <div class="modal-content" style="margin-top: 100px">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" style="border-radius: 50px;">
                                                &times;</button>
                                            <h4 class="modal-title">
                                                <asp:Label ID="lblDataView" runat="server" Text="Data View"></asp:Label>
                                            </h4>
                                        </div>
                                        <div class="modal-body">
                                            <iframe id="iframePopup" runat="server" scrolling="auto" width="100%" height="170px"
                                                style="border-style: none"></iframe>
                                        </div>
                                        <div class="modal-footer" style="display: none">
                                            <button type="button" class="btn btn-primary pull-right" data-dismiss="modal">
                                                Close</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row page-nos">
                        <div class="col-md-12">
                            <div class="pull-right-button">
                                <asp:LinkButton ID="btn_Delete" CssClass="btn btn-primary fa fa-trash-o" runat="server"
                                    Visible="false" CausesValidation="False" OnClick="btn_Delete_Click" OnClientClick="return confirmdelete(this.form);" />
                                <asp:LinkButton ID="btn_Restore" runat="server" CausesValidation="true" CssClass="but"
                                    Visible="false" OnClientClick="return RestoreData();" OnClick="btn_Restore_Click" />
                                <asp:Button ID="btn_Cancel" CssClass="btn btn-primary fa fa-hand-o-left" runat="server"
                                    Visible="false" border="0" OnClick="btn_Cancel_Click" />
                                <asp:LinkButton ID="btn_add" CssClass="btn add-btn fa-plus" runat="server" OnClick="btn_add_Click">
                                </asp:LinkButton>
                                <asp:HiddenField ID="hdnDeletedData" runat="server" />
                                <asp:LinkButton ID="btn_PermanentDelete" runat="server" CausesValidation="true" OnClientClick="return Permanentconfirmdelete(this.form);"
                                    OnClick="btn_PermanentDelete_Click" CssClass="btn del-btn fa-trash-o">
                                </asp:LinkButton>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script type="text/javascript" language="javascript">
            function SelectAllOnThisPage(chkSelectAll) {
                var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
            var hdnSelectAll = document.getElementById('<%= hdnGetAllid.ClientID %>');
            if (chkSelectAll.checked == true) {
                for (var i = 0; i < GridView1.pageRowCount; i++) {
                    if (document.getElementById('ctl00_BodyContentPH_GridView1_cell' + (i + GridView1.visibleStartIndex) + '_0_chkSelect').disabled == false) {
                        document.getElementById('ctl00_BodyContentPH_GridView1_cell' + (i + GridView1.visibleStartIndex) + '_0_chkSelect').checked = true;
                        var hdnUserId = document.getElementById('ctl00_BodyContentPH_GridView1_cell' + (i + GridView1.visibleStartIndex) + '_0_chkSelect').accessKey;
                        var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                        var removeId = hdnSelectRow.value.split(",");
                        if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                            if (hdnSelectRow.value != "")
                                hdnSelectRow.value += ",";
                            hdnSelectRow.value += hdnUserId;
                        }
                    }
                }
            }
            else {
                for (var i = 0; i < GridView1.pageRowCount; i++) {
                    document.getElementById('ctl00_BodyContentPH_GridView1_cell' + (i + GridView1.visibleStartIndex) + '_0_chkSelect').checked = false;
                }
                hdnSelectRow.value = '';
            }
        }
        function SelectOnRow(chkOnSelect) {
            var hdnUserId = chkOnSelect.accessKey;
            var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
            var removeId = hdnSelectRow.value.split(",");
            if (chkOnSelect.checked) {
                if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                    if (hdnSelectRow.value != "")
                        hdnSelectRow.value += ",";
                    hdnSelectRow.value += hdnUserId;
                }
                var varTotalCheckedCount = 0;
                for (var i = 0; i < GridView1.pageRowCount; i++) {
                    if (document.getElementById('ctl00_BodyContentPH_GridView1_cell' + (i + GridView1.visibleStartIndex) + '_0_chkSelect').checked)
                        varTotalCheckedCount = varTotalCheckedCount + 1;
                    else
                        break;
                }
                if (varTotalCheckedCount == GridView1.pageRowCount)
                    document.getElementById('ctl00_BodyContentPH_GridView1_header0_chkSelectAll').checked = true;
                else
                    document.getElementById('ctl00_BodyContentPH_GridView1_header0_chkSelectAll').checked = false;
            }
            else {
                if (Array.contains(removeId, hdnUserId)) {
                    Array.remove(removeId, hdnUserId);
                }
                hdnSelectRow.value = removeId;
                document.getElementById('ctl00_BodyContentPH_GridView1_header0_chkSelectAll').checked = false;
            }
        }
        var Norecordsavailable = "No records available ";
        var AreyousuretoRestore = "Are you sure to Restore? ";
        var Selecteddataisnotindeletedstatus = "Selected data is not in deleted status ";
        var Selectdatatorestore = "Select data to restore ";
        var Nodeletedrecordsavailable = "No deleted records available ";
        function RestoreAlert(norecordsavailable, areyousuretoRestore, selecteddataisnotindeletedstatus, selectdatatorestore, nodeletedrecordsavailable) {
            Norecordsavailable = norecordsavailable;
            AreyousuretoRestore = areyousuretoRestore;
            Selecteddataisnotindeletedstatus = selecteddataisnotindeletedstatus;
            Selectdatatorestore = selectdatatorestore;
            Nodeletedrecordsavailable = nodeletedrecordsavailable;
        }
        function RestoreData() {
            var rowscount = GridView1.pageRowCount;
            if (rowscount == 0) {
                alert(Norecordsavailable);
                return false;
            }
            var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
        var DeleteDataRow = document.getElementById('<%= hdnDeletedData.ClientID %>');
        if (DeleteDataRow.value != '') {
            if (hdnSelectRow.value != '') {
                var selectedRow = new Array();
                selectedRow = hdnSelectRow.value.split(",");
                var deletedRow = new Array();
                deletedRow = DeleteDataRow.value.split(",");
                var Status = false;
                for (var i = 0; i < selectedRow.length; i++) {
                    if (Array.contains(deletedRow, selectedRow[i])) {
                        Status = true;
                    }
                }
                if (Status == true) {
                    return confirm(AreyousuretoRestore);
                }
                else {
                    alert(Selecteddataisnotindeletedstatus);
                    return false;
                }
            }
            else {
                alert(Selectdatatorestore);
                return false;
            }
        }
        else {
            if (hdnSelectRow.value == '') {
                alert(Nodeletedrecordsavailable);
                return false;
            }
            else {
                alert(Selecteddataisnotindeletedstatus);
                return false;
            }
        }
    }
    function OnInit(s, e) {

        AdjustSize();
    }
    function OnEndCallback(s, e) {
        AdjustSize();
    }

    function AdjustSize() {

        var height = Math.max(0, document.documentElement.clientHeight);
        var width = Math.max(0, document.documentElement.clientWidth);
        grid.SetHeight(height);
    }

        </script>

    </div>
</asp:Content>
