﻿<%@ page language="C#" autoeventwireup="true" inherits="Transactions_TA_UI_Transactions_LeaveApplication, App_Web_fqq5jlc1" masterpagefile="~/MasterFile/TimeCheck.master" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxe" %>
<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ContentPlaceHolderID="BodyContentPH" ID="conLeaveApplication" runat="server">
    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
    <link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
    <![endif]-->
    <link href="../css/ProgressBar.css" rel="stylesheet" type="text/css" />
    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>
    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>
    <script>
        $(function () {
            $('#ctl00_BodyContentPH_txtLeaveStartDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
        });
        $(function () {
            $('#ctl00_BodyContentPH_txtLeaveEndDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
        });
    </script>
    <script type="text/javascript">
        if (navigator.userAgent.toLowerCase().indexOf('chrome') != -1)
            document.write('<link href="../css/safari.css" rel="stylesheet" type="text/css" />');
    </script>
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/lve-app.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <!--FILTERS-->
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                    <div class="inr-fil-text">
                        <asp:Label ID="lblFilter" runat="server" Text="Filter"></asp:Label>
                    </div>
                </div>
            </div>
        </div>
        <!--FILTERS-->
        <div id="myModal" class="modal modal-default fade" role="dialog">
            <div class="modal-dialog" style="min-width: 85%;">
                <!-- Modal content-->
                <div class="modal-content" style="margin-top: 100px">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" style="border-radius: 50px;">
                            &times;</button>
                        <h4 class="modal-title" style="padding-bottom: 10px">
                            <asp:Label ID="lblDataView" runat="server" Text="Data View"></asp:Label>
                        </h4>
                    </div>
                    <div class="modal-body">
                        <iframe id="iframePopup" runat="server" scrolling="auto" width="100%" height="450"
                            style="border-style: none"></iframe>
                    </div>
                    <div class="modal-footer" style="display: none">
                        <button type="button" class="btn btn-primary pull-right" data-dismiss="modal">
                            Close</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="row">
                <div class="form-horizontal">
                    <div class="col-md-12">
                        <%--Add Search text box and other search control here--%>
                        <asp:HiddenField ID="Hidden1" runat="server" />
                        <asp:HiddenField ID="Hidden2" runat="server" />
                        <div class="row form-group" id="trSwipeCardNo" runat="server" style="display: none">
                            <div class="col-md-2">
                                <asp:Label ID="lblEmpSwipe" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-10">
                                <asp:TextBox onpaste="return true" ID="txtSwipeCard" MaxLength="20" runat="server"
                                    CssClass="form-group">
                                </asp:TextBox>
                                <cc1:AutoCompleteExtender ID="acSwipeCardNo" runat="server" CompletionSetCount="10"
                                    CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                    CompletionInterval="10" Enabled="true" MinimumPrefixLength="1" TargetControlID="txtSwipeCard"
                                    ServicePath="../WebServices/AutoCompleteExtender.asmx" ServiceMethod="GetCardNo"
                                    CompletionListCssClass="autocomplete_completionListElement" FirstRowSelected="true">
                                </cc1:AutoCompleteExtender>
                            </div>
                        </div>
                        <div class="row form-group" id="trEmployeeDetails" runat="server">
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lbl_EmployeeName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txt_EmpName" runat="server" CssClass="form-control"
                                    MaxLength="50" onkeypress="return employeename_singlequotes_maxlength(event,this,50,MaxLength);">
                                </asp:TextBox>
                                <cc1:AutoCompleteExtender ID="acEmpName" runat="server" CompletionInterval="10" CompletionSetCount="10"
                                    CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                    Enabled="true" FirstRowSelected="true" MinimumPrefixLength="1" ServicePath="../WebServices/AutoCompleteExtender.asmx"
                                    ServiceMethod="GetEmployeeName" CompletionListCssClass="autocomplete_completionListElement"
                                    TargetControlID="txt_EmpName">
                                </cc1:AutoCompleteExtender>
                            </div>
                            <div class="col-md-1 col-sm-0">
                            </div>
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lbl_EmployeeId" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeId" runat="server" CssClass="form-control"
                                    MaxLength="15" onkeypress="return acceptCharsNum_MaxLength(event,this,15,MaxLength);">
                                </asp:TextBox>
                                <cc1:AutoCompleteExtender ID="acEmployeeId" runat="server" CompletionSetCount="10"
                                    CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                    CompletionInterval="10" Enabled="true" MinimumPrefixLength="1" TargetControlID="txtEmployeeId"
                                    ServicePath="../WebServices/AutoCompleteExtender.asmx" ServiceMethod="GetEmployeeId"
                                    CompletionListCssClass="autocomplete_completionListElement" FirstRowSelected="true">
                                </cc1:AutoCompleteExtender>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lblTimePeriod" runat="server"></asp:Label>
                                <asp:Label ID="lblLeaveStartDate" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txtLeaveStartDate" runat="server" CssClass="form-control"
                                    EnableViewState="False" onCut="return false" onDrop="return false">
                                </asp:TextBox>
                            </div>
                            <div class="col-md-1 col-sm-0">
                            </div>
                            <div class="col-md-2 col-sm-2">
                                <asp:Label ID="lblLeaveEndDate" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3 col-sm-3">
                                <asp:TextBox onpaste="return true" ID="txtLeaveEndDate" runat="server" CssClass="form-control"
                                    EnableViewState="False" onCut="return false" onDrop="return false">
                                </asp:TextBox>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-5 col-sm-4">
                            </div>
                            <div class="col-md-6 col-sm-6">
                                <div class="pull-right-button">
                                    <%--Add serach button here--%>
                                    <asp:Label ID="lbl_Error" runat="server" ForeColor="Red"></asp:Label>
                                    <asp:LinkButton ID="btn_Search" CssClass="btn src-btn fa-search" runat="server" OnClick="btn_Search_Click"
                                        OnClientClick="return WeekdayValidation();" />
                                    <asp:LinkButton ID="btn_Clear" CssClass="btn clr-btn fa-refresh" runat="server" OnClick="btn_Clear_Click" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--RES TABLE-->
        <div class="border-table new-space form-group">
            <div class="row form-group">
                <div class="col-md-12 page-button col-sm-12">
                    <asp:LinkButton ID="btn_Add" CssClass="btn add-btn fa-plus" runat="server" OnClick="btn_Add_Click" />
                    <%--Add Cancel button Add button here--%>
                    <asp:LinkButton ID="btnImport" CssClass="btn add-btn fa-plus" runat="server" OnClick="btnImport_Click" />
                    <asp:LinkButton ID="lnktbnexcel" Visible="false" ToolTip="Excel" CommandName="excel" runat="server" CssClass="btn del-btn fa-file-excel-o" OnClick="lnktbnexcel_Click">
                    </asp:LinkButton>
                    <asp:LinkButton ID="lnkbtnpdf" Visible="false" ToolTip="Pdf" CommandName="pdf" runat="server" CssClass="btn del-btn fa-file-pdf-o" OnClick="lnktbnexcel_Click">
                    </asp:LinkButton>
                </div>
            </div>
            <div class="table-responsive" style="padding-bottom: 10px">
                <%--Grid Add Here--%>
                <asp:HiddenField ID="hdnSelectRow" runat="server" />
                <asp:HiddenField ID="hdnGetAllid" runat="server" />
                <%--<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>--%>
                        <dxGridview:ASPxGridView ID="grv_LeaveApplication" runat="server" ClientInstanceName="grv_LeaveApplication"
                            KeyFieldName="LeaveApplication_Id" EnableCallBacks="False" AutoGenerateColumns="False"
                            OnHtmlRowCreated="grv_LeaveApplication_HtmlRowCreated" Width="100%">
                            <Columns>
                                <dxGridview:GridViewDataTextColumn FieldName="LeaveApplication_Id" VisibleIndex="0"
                                    Visible="False">
                                    <DataItemTemplate>
                                        <asp:Label ID="AppDate" Text='<%# Eval("LeaveApplication_Id") %>' runat="server"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Leave_ApplicationDate" VisibleIndex="1"
                                    Width="134px">
                                    <Settings AllowDragDrop="False" />
                                    <DataItemTemplate>
                                        <asp:Label ID="AppDate1" Text='<%# Eval("Leave_ApplicationDate") %>' runat="server"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="employeeid" VisibleIndex="2" Caption="Employee Id"
                                    Width="100px">
                                    <Settings AllowDragDrop="False" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lblempid" runat="server" Text='<%# Bind("employeeid") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Employee_FirstName" VisibleIndex="3"
                                    Width="250px">
                                    <Settings AllowDragDrop="False" />
                                    <DataItemTemplate>
                                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Employee_FirstName") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn Visible="false" FieldName="name" VisibleIndex="4" Width="250px">
                                    <Settings AllowDragDrop="False" />
                                    <DataItemTemplate>
                                        <asp:Label ID="Label2" runat="server" Text='<%# Bind("name") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataColumn FieldName="Duration" VisibleIndex="5" Width="206px">
                                    <Settings AllowAutoFilter="False" AllowDragDrop="False" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lbl_Duration" Text='<%# Eval("Duration") %>' runat="server"></asp:Label>
                                        -
                                <asp:Label ID="Label5" runat="server" Text='<%# Eval("NumberOfDays") %>'></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="LeaveType" VisibleIndex="6" Width="140px">
                                    <Settings AllowDragDrop="False" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lbl_LeaveType" Text='<%# Eval("LeaveType") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Status" VisibleIndex="7" Width="122px">
                                    <Settings AllowDragDrop="False" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lbl_Status" Text='<%# Eval("Status") %>' runat="server"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Reason" VisibleIndex="8" Width="200px">
                                    <Settings AllowAutoFilter="False" AllowDragDrop="false" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lbl_Reason" Text='<%# Eval("Reason") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Remarks" VisibleIndex="9" Width="200px">
                                    <Settings AllowAutoFilter="False" AllowDragDrop="false" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lbl_Remarks" Text='<%# Eval("Remarks") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="" VisibleIndex="10" Width="40px">
                                    <Settings AllowAutoFilter="False" AllowDragDrop="false" />
                                    <DataItemTemplate>
                                        <center>
                                        <asp:Label ID="lblDownload" runat="server" Visible="false"  Text='<%# Eval("LeaveType") %>'></asp:Label>
                                            <asp:ImageButton ID="btnDownload" runat="server" ToolTip='<%# Bind("Result") %>' 
                                                CommandName="GetDownload"
                                                    CommandArgument='<%# Eval("LeaveApplication_Id") %>' 
                                                data-toggle="tooltip" data-placement="top" Width="22px" Height="22px" ImageUrl="~/Images/downloadicon.png" OnClick="btnDownload_Click"  />
                                    </center>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                    CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px" VisibleIndex="11">
                                    <Settings AllowAutoFilter="false" />
                                    <DataItemTemplate>
                                        <a data-toggle="modal" title='<%# Session["View"] %>' data-placement="top" data-target="#myModal" onclick="return navi('TA_UI_Transactions_LeaveApplicationView.aspx?LeaveApplication_Id=<%# Eval("LeaveApplication_Id") %>')"
                                            href="#"><span class="btn btn-defalut view-icons"></span></a>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataColumn>
                                <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                    CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px" VisibleIndex="12">
                                    <Settings AllowAutoFilter="false" />
                                    <DataItemTemplate>
                                        <a data-toggle="modal" title='<%# Session["View"] %>' data-placement="top" onclick="return navi_Angler('TA_UI_Transactions_MultipleLeaveApplicationView.aspx?LeaveApplication_Id=<%# Eval("LeaveApplication_Id") %>')"
                                            href="#"><span class="btn btn-defalut view-icons"></span></a>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataColumn>
                                <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                    CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="32px" VisibleIndex="13">
                                    <Settings AllowAutoFilter="false" />
                                    <DataItemTemplate>
                                        <asp:LinkButton ID="btnDelete" runat="server" ValidationGroup='<%# Bind("employeeid") %>'
                                            ToolTip='<%# Session["Delete"] %>' data-toggle="tooltip" OnClick="btn_delete_Click_1" CommandName='<%# Eval("LeaveApplication_Id") %>'
                                            CommandArgument='<%# Bind("Employee_FirstName") %>' data-placement="top" CssClass="btn btn-defalut del-icons"
                                            Style="color: Red" OnClientClick="return Delete_Conf();"></asp:LinkButton>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataColumn>
                            </Columns>
                            <SettingsPager PageSize="10">
                                <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50,100,200" />
                            </SettingsPager>
                            <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" />
                            <SettingsText EmptyDataRow="No Records Found" />
                            <SettingsCustomizationWindow Enabled="True" />
                            <SettingsBehavior AutoExpandAllGroups="false" ColumnResizeMode="Control" />
                            <SettingsBehavior AllowDragDrop="true" />
                            <Styles AlternatingRow-CssClass="table-bg">
                            </Styles>
                        </dxGridview:ASPxGridView>
                        <dxGridview:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="grv_LeaveApplication">
                            <PageFooter Right="[Page # of Pages #]">
                            </PageFooter>
                        </dxGridview:ASPxGridViewExporter>
                        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="SelectLeaveApplicationDetails"
                            TypeName="LeaveApplicationEventData">
                            <SelectParameters>
                                <asp:SessionParameter Name="Employee_Id" SessionField="EmpAutoId" Type="Int32" />
                                <asp:SessionParameter Name="GradeLevel" SessionField="GradeLevel" Type="String" />
                                <asp:SessionParameter Name="LevelRights" SessionField="LevelRights" Type="String" />
                                <asp:ControlParameter ControlID="txtLeaveStartDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveStartDate" />
                                <asp:ControlParameter ControlID="txtLeaveEndDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveEndDate" />
                                <asp:SessionParameter Name="UserGroupName" SessionField="UserGroupName" Type="string" />
                                <asp:SessionParameter Name="parentLevelId" SessionField="parentLevelId" Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" SelectMethod="SelectLeaveApplicationDetailsSuperAdmin"
                            TypeName="LeaveApplicationEventData">
                            <SelectParameters>
                                <asp:SessionParameter Name="EmpID" SessionField="EmpAutoId" Type="Int32" />
                                <asp:SessionParameter Name="LevelRights" SessionField="LevelRights" Type="String" />
                                <asp:ControlParameter ControlID="txt_EmpName" Type="string" Name="EmpFirstName" PropertyName="Text" />
                                <asp:ControlParameter ControlID="txtEmployeeId" Type="string" Name="EmpCodeId" PropertyName="Text" />
                                <asp:ControlParameter ControlID="txtLeaveStartDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveStartDate" />
                                <asp:ControlParameter ControlID="txtLeaveEndDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveEndDate" />
                                <asp:ControlParameter ControlID="txtSwipeCard" Type="string" Name="strSwipeCard"
                                    PropertyName="Text" />
                                <asp:SessionParameter Name="UserGroupName" SessionField="UserGroupName" Type="string" />
                                <asp:SessionParameter Name="parentLevelId" Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ObjectDataSource3" runat="server" SelectMethod="SelectLeaveApplicationDetails"
                            TypeName="LeaveApplicationEventData_Angler">
                            <SelectParameters>
                                <asp:SessionParameter Name="Employee_Id" SessionField="EmpAutoId" Type="Int32" />
                                <asp:SessionParameter Name="GradeLevel" SessionField="GradeLevel" Type="String" />
                                <asp:SessionParameter Name="LevelRights" SessionField="LevelRights" Type="String" />
                                <asp:ControlParameter ControlID="txtLeaveStartDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveStartDate" />
                                <asp:ControlParameter ControlID="txtLeaveEndDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveEndDate" />
                                <asp:SessionParameter Name="UserGroupName" SessionField="UserGroupName" Type="string" />
                                <asp:SessionParameter Name="parentLevelId" SessionField="parentLevelId" Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                        <asp:ObjectDataSource ID="ObjectDataSource4" runat="server" SelectMethod="SelectLeaveApplicationDetailsSuperAdmin"
                            TypeName="LeaveApplicationEventData_Angler">
                            <SelectParameters>
                                <asp:SessionParameter Name="LevelRights" SessionField="LevelRights" Type="String" />
                                <asp:ControlParameter ControlID="txt_EmpName" Type="string" Name="EmpFirstName" PropertyName="Text" />
                                <asp:ControlParameter ControlID="txtEmployeeId" Type="string" Name="EmpCodeId" PropertyName="Text" />
                                <asp:ControlParameter ControlID="txtLeaveStartDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveStartDate" />
                                <asp:ControlParameter ControlID="txtLeaveEndDate" DefaultValue="01/01/1900" Type="String"
                                    Name="LeaveEndDate" />
                                <asp:ControlParameter ControlID="txtSwipeCard" Type="string" Name="strSwipeCard"
                                    PropertyName="Text" />
                                <asp:SessionParameter Name="UserGroupName" SessionField="UserGroupName" Type="string" />
                                <asp:SessionParameter Name="parentLevelId" Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
                    <%--</ContentTemplate>
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="Timer1" EventName="Tick" />
                    </Triggers>
                </asp:UpdatePanel>--%>
            </div>
            <asp:Timer ID="Timer1" runat="server" Interval="180000"
                OnTick="Timer1_Tick">
            </asp:Timer>
        </div>
        <!--RES TABLE-->
    </div>
    <script type="text/javascript">
        function navi(loc) {
            document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            //            window.location=loc;
            return false;
        }
        function navi_Angler(loc) {
            //document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            window.location = loc;
            return false;
        }
        function Delete_Conf() {
            //Alert_AreyousuretoDelete
            return confirm('Are you sure to Delete ?');
        }
        function ShowPopup() {
            $("#btnShowPopup").click();
        }
    </script>
    <script type="text/javascript">
        //values for check date
        var Monthfourdigit = 'Please enter valid date as month, day, and four digit year : Format MM/dd/yyyy.';
        //Adding this line var Datefourdigit='Please enter valid date with correct format dd/MM/yyyy'; as newly
        var Datefourdigit = 'Please enter valid date with correct format dd/MM/yyyy';
        var Invalidyearentry = 'Invalid year entry';
        var Invalidmonthentry = 'Invalid month entry';
        var Invaliddateentry = 'Invalid date entry';
        var DateformatDDMONYYYY = 'Incorrect date format. Enter as DD-MON-YYYY';
        var Entertime = 'Enter time';
        var Valueforhours = 'Invalid value for hours:';
        var Invalidvalueforminutes = 'Invalid value for minutes:';
        var Invalidtimeformat = 'Invalid time format:';
        var EntervalidDateandTime = 'Please enter valid Date and Time';
        var ValiddatemonthMMDDYYHHMM = 'Please enter valid Date and Time MM/dd/yyyy HH:mm';
        var ValiddatemonthMMDDYYHHMMTT = 'Please enter valid Date and Time MM/dd/yyyy hh:mm tt';
        var EntervalidDateandTime = 'Please enter valid Date and Time';
        var Invalidvalueforhours = 'Invalid value for hours:';
        var Invalidvalueforminites = 'Invalid value for minutes:';
        var MaxLength = "Maximum length is ";
        var EnterDetails = 'Please enter any of the above details';
        var FillFromandToDate = 'Please enter both the From and To Date';
        function MaxLengthh(maxLength) {
            MaxLength = maxLength;
        }
        function SetAlertCheckDate(monthfourdigit, datefourdigit, invalidyearentry, invalidmonthentry, invaliddateentry, dateformatDDMONYYYY, entertime, valueforhours, invalidvalueforminutes, invalidtimeformat, entervalidDateandTime, validdatemonthMMDDYYHHMM, validdatemonthMMDDYYHHMMTT, entervalidDateandTime, invalidvalueforhours, invalidvalueforminites) {
            Monthfourdigit = monthfourdigit;
            Datefourdigit = datefourdigit;
            Invalidyearentry = invalidyearentry;
            Invalidmonthentry = invalidmonthentry;
            Invaliddateentry = invaliddateentry;
            DateformatDDMONYYYY = dateformatDDMONYYYY;
            Entertime = Entertime;
            Valueforhours = valueforhours;
            Invalidvalueforminutes = invalidvalueforminutes;
            Invalidtimeformat = invalidtimeformat;
            EntervalidDateandTime = entervalidDateandTime;
            ValiddatemonthMMDDYYHHMM = validdatemonthMMDDYYHHMM;
            ValiddatemonthMMDDYYHHMMTT = validdatemonthMMDDYYHHMMTT;
            EntervalidDateandTime = entervalidDateandTime;
            Invalidvalueforhours = invalidvalueforhours;
            Invalidvalueforminites = invalidvalueforminites;
        }
        function SetAlertMessages(enterDetails, fillFromandToDate) {
            EnterDetails = enterDetails;
            FillFromandToDate = fillFromandToDate;
        }
        function WeekdayValidation() {
            var EmpId = document.getElementById('ctl00_BodyContentPH_txtEmployeeId');
            var EmpName = document.getElementById('ctl00_BodyContentPH_txt_EmpName');
            var weekDay = document.aspnetForm.ctl00_BodyContentPH_txtLeaveStartDate;
            var weekDay2 = document.aspnetForm.ctl00_BodyContentPH_txtLeaveEndDate;
            var swipCard = document.getElementById('ctl00_BodyContentPH_txtSwipeCard');
            if (EmpName == null && EmpId == null && weekDay.value == '' && weekDay2.value == '' && swipCard == null) {
                alert(EnterDetails);
                return false;
            }
            else if ((weekDay.value == '' && weekDay2.value != '') || (weekDay.value != '' && weekDay2.value == '')) {
                alert(FillFromandToDate);
                return false;
            }
            var DateFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
            if (weekDay.value != '') {
                if (checkDate(weekDay, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                    if (weekDay2.value != '') {
                        if (checkDate(weekDay2, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                        }
                        else {
                            return false;
                        }
                    }
                    else {
                        document.getElementById('ctl00_BodyContentPH_txtLeaveEndDate').focus();
                        return false;
                    }
                }
                else {
                    return false;
                }
            }
        }
    </script>
</asp:Content>
